EogPythonModule
3
EOG Library

# EogPythonModule

## Synopsis

                        EogPythonModule;
    EogPythonModule*    eog_python_module_new               (const gchar *path,
                                                             const gchar *module);
    GObject*            eog_python_module_new_object        (EogPythonModule *module);
    gboolean            eog_python_init                     (void);
    void                eog_python_shutdown                 (void);
    void                eog_python_garbage_collect          (void);

## Object Hierarchy

      GObject
       +----GTypeModule
             +----EogPythonModule

## Implemented Interfaces

EogPythonModule implements GTypePlugin.

## Properties

      "module"                   gchar*                : Read / Write / Construct Only
      "path"                     gchar*                : Read / Write / Construct Only

## Description

## Details

### EogPythonModule

    typedef struct _EogPythonModule EogPythonModule;

### eog_python_module_new ()

    EogPythonModule*    eog_python_module_new               (const gchar *path,
                                                             const gchar *module);

`path` :

`module` :

Returns :

### eog_python_module_new_object ()

    GObject*            eog_python_module_new_object        (EogPythonModule *module);

`module` :

Returns :

### eog_python_init ()

    gboolean            eog_python_init                     (void);

Returns :

### eog_python_shutdown ()

    void                eog_python_shutdown                 (void);

### eog_python_garbage_collect ()

    void                eog_python_garbage_collect          (void);

## Property Details

### The `"module"` property

      "module"                   gchar*                : Read / Write / Construct Only

The Python module to load for this plugin.

Default value: NULL

### The `"path"` property

      "path"                     gchar*                : Read / Write / Construct Only

The Python path to use when loading this module.

Default value: NULL